Bug 651 - Convert bitmap images to vector svg - multi i/o dep cell and multi func unit
Summary: Convert bitmap images to vector svg - multi i/o dep cell and multi func unit
Status: RESOLVED FIXED
Alias: None
Product: Libre-SOC's first SoC
Classification: Unclassified
Component: Documentation (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- enhancement
Assignee: vklr@vkten.in
URL:
Depends on:
Blocks:
 
Reported: 2021-06-06 15:01 BST by vklr@vkten.in
Modified: 2021-09-19 01:53 BST (History)
2 users (show)

See Also:
NLnet milestone: NLNet.2019.10.Wishbone
total budget (EUR) for completion of task and all subtasks: 300
budget (EUR) for this task, excluding subtasks' budget: 300
parent task for budget allocation: 389
child tasks for budget allocation:
The table of payments (in EUR) for this task; TOML format:
veera={amount=300,paid=2021-08-21}


Attachments
multiple_function_units_write svg image (48.66 KB, image/svg+xml)
2021-08-17 13:36 BST, vklr@vkten.in
Details
multiple_function_units_read svg image (41.42 KB, image/svg+xml)
2021-08-18 07:12 BST, vklr@vkten.in
Details
screenshot of multi unit (34.61 KB, image/png)
2021-08-18 16:27 BST, Luke Kenneth Casson Leighton
Details
svg image of dependence_cell_multi_pending.jpg (88.09 KB, image/svg+xml)
2021-08-20 00:41 BST, vklr@vkten.in
Details
Updated colours and connections (78.99 KB, image/svg+xml)
2021-08-20 17:09 BST, vklr@vkten.in
Details
New correct file. (98.58 KB, image/svg+xml)
2021-08-20 18:09 BST, vklr@vkten.in
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vklr@vkten.in 2021-06-06 15:01:48 BST
Convert bitmap images to scalable vector graphics image for clarity and
workability.

1) https://libre-soc.org/3d_gpu/architecture/6600scoreboard/600x-multiple_function_units.png

2) https://libre-soc.org/3d_gpu/architecture/6600scoreboard/600x-dependence_cell_multi_pending.jpg

The image multiple_function_units.png has to be split into two, one for read and
one for write.
Comment 1 vklr@vkten.in 2021-08-17 13:36:42 BST
Created attachment 134 [details]
multiple_function_units_write svg image

SVG version of multiple_function_units_write.
Please review.
Comment 2 Luke Kenneth Casson Leighton 2021-08-17 19:15:49 BST
(In reply to vklr@vkten.in from comment #1)
> Created attachment 134 [details]
> multiple_function_units_write svg image
> 
> SVG version of multiple_function_units_write.
> Please review.

ha, that looks really good, do drop it in place
of the jpg in the wiki.
Comment 3 vklr@vkten.in 2021-08-18 07:12:26 BST
Created attachment 135 [details]
multiple_function_units_read svg image

SVG Image of multiple_function_units_read

In Second box(Long Add), wire to OR gate is blue; may be it has to be green?
Comment 4 Luke Kenneth Casson Leighton 2021-08-18 11:38:24 BST
(In reply to vklr@vkten.in from comment #3)
> Created attachment 135 [details]
> multiple_function_units_read svg image
> 
> SVG Image of multiple_function_units_read
> 
> In Second box(Long Add), wire to OR gate is blue; may be it has to be green?

there are only 3 colours, purple for A green for B orange for X.

those colours going in to a Function Unit have to match those going out.

so yes, most likely you are correct.
Comment 5 Luke Kenneth Casson Leighton 2021-08-18 16:25:19 BST
(In reply to vklr@vkten.in from comment #3)
> Created attachment 135 [details]
> multiple_function_units_read svg image
> 
> SVG Image of multiple_function_units_read
> 
> In Second box(Long Add), wire to OR gate is blue; may be it has to be green?

i took a look: you see how "green" (B) goes in to Branch, Increment (1)
and Increment (2)?

that means that, into the OR gate, a corresponding "green" needs to go *out*
of Branch, connected to the OR gate.

at present there is only one green out of Increment (1) into the OR gate
and another green out of Increment (2) into the same OR gate.

the Red (X) likewise goes into all three...

ah, and there is one too many blue :)
Comment 6 Luke Kenneth Casson Leighton 2021-08-18 16:27:55 BST
Created attachment 136 [details]
screenshot of multi unit

ok so here's a screenshot of the corrections needed,

* branch is missing green and red from Branch to the OR gate
* yes, Long Add, it should be green to the (2nd) OR gate

there's a couple others, do check them.  maybe review the write pending
one as well, don't draw the lines *through* the Function Units!
that's just for illustrative purposes.
Comment 7 vklr@vkten.in 2021-08-18 16:29:15 BST
Uploaded and changed multiple_function_units.png with two SVG images; one for write and one for read.

Also updated relevant page: https://libre-soc.org/3d_gpu/architecture/6600scoreboard/
Comment 8 vklr@vkten.in 2021-08-18 17:07:54 BST
(In reply to Luke Kenneth Casson Leighton from comment #6)
> Created attachment 136 [details]
> screenshot of multi unit
> 
> ok so here's a screenshot of the corrections needed,
> 
> * branch is missing green and red from Branch to the OR gate
> * yes, Long Add, it should be green to the (2nd) OR gate
> 
> there's a couple others, do check them.  maybe review the write pending
> one as well, don't draw the lines *through* the Function Units!
> that's just for illustrative purposes.

Corrected and updated in git(website). Please review.
Comment 9 Luke Kenneth Casson Leighton 2021-08-18 17:27:29 BST
(In reply to vklr@vkten.in from comment #8)
> (In reply to Luke Kenneth Casson Leighton from comment #6)

> Corrected and updated in git(website). Please review.

look really good. dependence cell one next.
Comment 10 vklr@vkten.in 2021-08-20 00:41:51 BST
Created attachment 139 [details]
svg image of dependence_cell_multi_pending.jpg

SVG image of dependence_cell_multi_pending.jpg

Please review.
Comment 11 Luke Kenneth Casson Leighton 2021-08-20 12:51:50 BST
(In reply to vklr@vkten.in from comment #10)
> Created attachment 139 [details]
> svg image of dependence_cell_multi_pending.jpg
> 
> SVG image of dependence_cell_multi_pending.jpg
> 
> Please review.

love the layout, it's very clear.  two things which will significantly
improve it (see these):

https://ftp.libre-soc.org/dependence_cell_multi_pending.jpg
https://ftp.libre-soc.org/dependence_cell_multi_pending.svg

(1) there are places where the wires cross.  because there are no
    colours, you can't work out which wires "join" and which "cross".

    could you put "dots" at the crossing points, like in the JPG?

(2) once all the dots are there, could you colourise the wires
    that are all the same signal?

    (no need to do everything)

i made a start on the colours but i messed some of them up, i don't
know how.

mainly the named inputs, and the named outputs, try to make them
REALLY bright primary colours, lots of contrast.

i leave it to you to decide the best ones?

again, you don't need to do *everything* in colour, but at least
everything that has an input name and an output name.
Comment 12 vklr@vkten.in 2021-08-20 17:09:33 BST
Created attachment 140 [details]
Updated colours and connections

Updated colours and connections dots.
Please review.
Comment 13 vklr@vkten.in 2021-08-20 18:09:49 BST
Created attachment 141 [details]
New correct file.

New correct file as attachment. Somehow wrong file was uploaded: id 140.

Updated colours and connection dots.
Comment 14 Luke Kenneth Casson Leighton 2021-08-20 19:31:35 BST
(In reply to vklr@vkten.in from comment #13)
> Created attachment 141 [details]
> New correct file.
> 
> New correct file as attachment. Somehow wrong file was uploaded: id 140.
> 
> Updated colours and connection dots.

brilliant, that looks really good.  only thing, the yellow is so close
to white, i can't quite make it out.  if you can make it a slightly
darker yellow, then please go ahead, replace the JPG on 6600scoreboard,
and we can close this one as "DONE".

nice work veera.
Comment 15 vklr@vkten.in 2021-08-21 03:48:51 BST
Changed yellow with dark yellow colour for wire lines.

Uploaded and changed dependence_cell_multi_pending.jpg with SVG image in git.

Also updated relevant page: https://libre-soc.org/3d_gpu/architecture/6600scoreboard/